/*---------------------------------------------------
                  Ab <-- ADJ2(C)

Adjacency for 2-space.

Input:
   C  is the list of lines/stripes.

Output:
   Ab is the adjacency info.

----------------------------------------------------*/
#include "saclib.h"
#include "qepcad.h"

Word ADJ2(C)
       Word C;
{
       Word Ab,A,c,s,N,Ns,Nl,S,L,n,i;

Step1: /* Initialize. */
       ADV(C,&c,&C);       
       GADJINF(c,&S,&Ns,&s,&n);
       Ab = NIL;
       i = 1;

Step2: /* Compute the adjacency. */
       while (C != NIL)
         {
         ADV(C,&c,&C);  i = i + 1;
         if (EVEN(i))
           GADJINF(c,&L,&Nl,&s,&n);
         else
           GADJINF(c,&S,&Ns,&s,&n);
         N = DIFTMUL(Nl,Ns);
         A = ADJ2SL(n,s,N,S,L);
         Ab = COMP(A,Ab);
         }
       Ab = INV(Ab);
       return(Ab);
}


