/*======================================================================
                      QFRDR(; q,t)

Quantifier Read, robust.

\Ouput
  \parm{q} is a quantifier, read in from the input stream.
  \parm{t} is 1 if successful, 0 otherwise.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

void QFRDR(q_,t_)
       Word *q_,*t_;
{
       Word C,q,t;
       /* hide C,q,t; */

Step1: /* Read in. */
       t = 1;
       C = CREADB();
       if (C == 'A')
         q = UNIVER;
       else if (C == 'E')
         q = EXIST;
       else
         { SWRITE("Error QFRDR: Quantifier was expected.\n"); goto Step2; }
       goto Return;

Step2: /* Error exit. */
       DIELOC(); t = 0; goto Return;

Return: /* Prepare for return. */
       *q_ = q;
       *t_ = t;
       return;
}
