/*======================================================================
                         SETUPSYS()

Set up the System.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

void SETUPSYS()
{

Step1: /* Initialize IO. */
       INITIO();

Step2: /* Identification. */
       SWRITE("=======================================================\n");
       SWRITE("                                                       \n");
       SWRITE("                Quantifier Elimination                 \n");
       SWRITE("                          in                           \n");
       SWRITE("            Elementary Algebra and Geometry            \n");
       SWRITE("                          by                           \n");
       SWRITE("      Partial Cylindrical Algebraic Decomposition      \n");
       SWRITE("                                                       \n");
       SWRITE("               Version 13 (Interactive)                \n");
       SWRITE("                    August 1994                        \n");
       SWRITE("                                                       \n");
       SWRITE("                          by                           \n");
       SWRITE("                       Hoon Hong                       \n");
       SWRITE("              (hhong@risc.uni-linz.ac.at)              \n");
       SWRITE("      Research Institute for Symbolic Computation      \n");
       SWRITE("                                                       \n");
       SWRITE("                 with contributions by                 \n");
       SWRITE("                   George E. Collins                   \n");
       SWRITE("                   Jeremy R. Johnson                   \n");
       SWRITE("                  Mark J. Encarnacion                  \n");
       SWRITE("                                                       \n");
       SWRITE("=======================================================\n");

Step3: /* Read in Help file. */
       HELPFRD();

Return: /* Prepare for return. */
       return;
}
