/*======================================================================
                   M <- MARKTALLOC(n)

Marks Table Allocate.
 
\Input
  \parm{n} is a positive interger.
 
\Output
  \parm{M} is a memory chunk for storing n + 1 pointers.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"
#include <stdlib.h>

MarksTable MARKTALLOC(n)
       Word n;
{
       MarksTable M;

Step1: /* Allocate. */
       M = (MarksTable) malloc(sizeof(Marks) * (n+1));
       if (M == NULL) FAIL("MARKTALLOC","No more memory");

Return: /* Prepare for return. */
       return (M);
}



