/*======================================================================
                   M <- RELTALLOC(n)

Relational operators Table Allocate.
 
\Input
  \parm{n} is a positive interger.
 
\Output
  \parm{M} is a memory chunk for storing n + 1 pointers.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"
#include <stdlib.h>

RelOpsTable RELTALLOC(n)
       Word n;
{
       RelOpsTable M;

Step1: /* Allocate. */
       M = (RelOpsTable) malloc(sizeof(RelOps) * (n+1));
       if (M == NULL) FAIL("RELTALLOC","No more memory");

Return: /* Prepare for return. */
       return (M);
}



