/*======================================================================
                      USERINT(P,W)

User Interface.

\Input
  \parm{P} is a list of characters for prompting.
  \parm{W} is a character indicating where this interface
           has been called.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

void USERINT(P,W)
       Word P,W;
{
       Word I,t;
       /* hide I,t; */

Step1: /* Get a command ID. */
       I = GETCID(P,W);

Step2: /* Process the command. */
       switch (I) {
            case 1: PRHELP(W); break;
            case 2: PRWHATIS(); break;
            case 3: PRQUIT(); break;
            case 4: { PRSTEP(&t); if (t == 1) goto Return; } break;
            case 5: PRUDB(); break;
            case 6: PRLDB(); break;
            case 7: PRPROJOP(); break;
            case 8: PRCCS(); break;
            case 9: PRIGS(); break;
           case 10: PRDF(); break;
           case 11: PRDVL(); break;
           case 12: PRDQ(); break;
           case 13: PRDQFF(); break;
           case 14: PRDNQFF(); break;
           case 15: PRDIP(); break;
           case 16: PRDPC(); break;
           case 17: PRDCC(); break;
           case 18: PRDLV(); break;
           case 19: PRDC(); break;
           case 20: PRDSET(); break;
           case 21: { PRFINISH(); goto Return; } break;
           case 22: PRDPF(); break;
           case 23: PRDPJ(); break;
           case 24: { PRMCC(&t); if (t == 1) goto Return; } break;
           case 25: PRDTRACEA(); break;
           case 26: PRTRACEA(); break;
           case 27: PRTRACED(); break;
           case 28: STATWR(); break;
           case 30: PRTCN(); break;
           case 31: PRRSP(); break;
           case 32: PRRMPF(); break;
           case 33: PRRMPJ(); break;
           case 34: PRDTRACED(); break;
           case 35: PRDFPCSTAT(); break;
           case 36: PRESPFWR(); break;
           case 37: PRESPPWR(); break;
           case 38: DSTATWR(); break;
           case 39: PCFULL = 'y'; break;
           case 40: { PRGO(); goto Return; } break;
           case 41: PRDESIRED(); break;
           case 42: PRUSEDESIRED(); break;
           case 43: PRDDESIRED(); break;
           case 44: PRCCSF(); break;
           case 45: PRIPFZT(); break;
           case 46: PRAPPROX(); break;
           case 47: PRSIMPLIFIER(); break;
           case 48: PRDCS(); break; 
           case 49: PRDPCS(); break; 
           case 50: PRDADJINFO(); break;
           case 51: PREQNCONST(); break;
           case 52: PRRESALG(); break;
           case 53: PRPROPEC(); break;
           case 54: PREQNCONSTL(); break;
           case 55: PRDEQNCONST(); break;
	   case 56: PRCHPIVOT(); break;
	   case 57: PRDSEARCH(); break;
	   case 58: PRSEARCH(); break;
         }
       goto Step1;

Return: /* Prepare for return. */
       return;
}
