/*======================================================================
                      ATOMFWR(V,A)

Atomic Formula Write.

\Input
   \parm{V} is a non-null list of distinct variables.
   \parm{A} is an atomic formula with variables in $V$,
            written out to the output strem.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

void ATOMFWR(V,A)
       Word V,A;
{
       Word I,P,T,r;

Step1: /* Write. */
       FIRST4(A,&T,&P,&r,&I);
       IPDWRITE(r,P,V);
       SWRITE(" "); RLOPWR(T); SWRITE(" 0");

Return: /* Prepare for return. */
       return;
}
