/*======================================================================
                        t <- COVER(m1,m2,N)

Cover.

\Input
  \parm{m1} is a marks.
  \parm{m2} is a marks.
  \parm{N}  is the length of m1 and m2.
           
\Output
  \parm{t}  is 1 if m1 covers m2, 0 otherwise.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

Word COVER(m1,m2,N)
       Marks  m1,m2;
       Word N;
{
       Word t,i;

Step1: /* Check. */
       t = 1;
       for (i = 1; i <= N; i++) 
         if ( (~(m1[i])) & m2[i] ) { t = 0; break; }

Return: /* Prepare for return. */
       return (t);
}



