/*======================================================================
                      FIRSTCOMB(n,r; R)

First Combination.

\Input
  \parm{n} is the total number of elements.
  \parm{r} is the number of elements to be chosen.

\Output
  \parm{R} is the first combination.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

void FIRSTCOMB(n,r, R_)
       Word n,r, *R_;
{
       Word R,i;
       /* hide i; */

Step1: /* Compute. */
       R = NIL; for (i = 1; i <= r; i++) R = COMP(i,R); R = INV(R);

Return: /* Prepare for return. */
       *R_ = R;
       return;
}
