/*======================================================================
                      l <- PRDLEN(A)

Product Length.

\Input
  \parm{A} is a product.

\Output
  \parm{l} is the length of the product~$A$.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

Word PRDLEN(A)
       Word A;
{
       Word A1,Ap,l;
       /* hide l; */

Step1: /* Compute. */
       Ap = A; l = 0;
       while (Ap != NIL)
         {
         ADV(Ap,&A1,&Ap);
         if (A1 != TAOP) l = l + 1;
         }
       goto Return;

Return: /* Prepare for return. */
       return(l);
}
