/*======================================================================
                      FIRSTLEXI(l; R)

First element in Lexicographic order.

\Input
  \parm{l} is the length of the element.

\Output
  \parm{R} is the element in Lexicographic order.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

void FIRSTLEXI(l, R_)
       Word l, *R_;
{
       Word R,i;
       /* hide i; */

Step1: /* Compute. */
       R = NIL; for (i = 1; i <= l; i++) R = COMP(0,R);

Return: /* Prepare for return. */
       *R_ = R;
       return;
}
