/*======================================================================
                      C <- SIGSUB(A,B)

Signature Substraction.

\Input
  \parm{A} is a list of distinct signatures.
  \parm{B} is a list of distinct signatures.
  
Output
  \parm{C} is $A - B$.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

Word SIGSUB(A,B)
       Word A,B;
{
       Word A1,Ap,C;

Step1: /* Compute. */
       C = NIL;
       Ap = A;
       while (Ap != NIL) {
	  ADV(Ap,&A1,&Ap);
	  if (LSRCH(A1,B) == 0)
	     C = COMP(A1,C); }
       C = INV(C);

Return: /* Prepare for return. */
       return(C);
}
