/*======================================================================
                      D <- INITPCAD()

Initialize Partial CAD.

\Output
  \parm{D) is the partial CAD with the root cell
           whose truth value is set to be \c{UNDET}.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

Word INITPCAD()
{
       Word D;

Step1: /* Make one and initialize it. */
       D = MCELL(0,NIL,FALSE,UNDET,LIST3(0,LIST2(0,0),NIL),NIL,NIL,0,NIL,NIL);

Return: /* Prepare for return. */
       return(D);
}








